function startSimpleMailbox
%Commands required to start matlab evaluation server

%Compile command
% mcc -m -d simpleMailbox startSimpleMailbox.m

% See also: simpleMailbox

%Create dockerfile
if 0
    target='simpleMailbox';
    targetdir= fullfile(pwd,['sh_',target]);
    if isfolder(targetdir)
        rmdir(targetdir,'s'); %remove including subfolders
    end
    %Re create targetdir and subfolder
    mkdir(targetdir);

    %Compile application and save in targetdir
    mcc('-m', '-d', targetdir, target);

    %Move jars to targetdir
    jarFiles = {'MatlabServer.jar','MatlabHTTPserver.jar'};
    for j=1:length(jarFiles)
        copyfile(fullfile(pwd,'java',jarFiles{j}),fullfile(targetdir, jarFiles{j}));
    end

    %Write correct javaclasspath.txt in targetdir 
    strs = {'<before>'};
    for i=1:length(jarFiles)
        strs{i+1,1} = fullfile(targetdir,jarFiles{i});
    end

    writestr(strs(:),fullfile(targetdir,'javaclasspath.txt'));

    createDockerfile(targetdir, target, [{'javaclasspath.txt'} jarFiles],...
        'port','4444',...
        'host','0.0.0.0');
end

% See also: simpleMailbox

% Test sequence: (copy paste to 2nd Matlab session)
if 0
    h = modelit.web.client.HttpRequest('GET','http://localhost:4444')
    h = setCredentials(h,'usr1','pw1')
    
    feval(h,@simpleMailbox,'userA','A1');
    feval(h,@simpleMailbox,'userA','A2');
    feval(h,@simpleMailbox,'userB','B1');
    
    rC = feval(h,@simpleMailbox,'userC')
    rA = feval(h,@simpleMailbox,'userA')
    rB = feval(h,@simpleMailbox,'userB')
end

%data for docker-compose.yml
% version: '2'
% services:    
%   simpleMailbox:
%     build:
%       context: sh_simpleMailbox/.
%     image: simplemailbox
%     environment:
%       - hostname="0.0.0.0"
%       - port=4444
%     expose:
%       - "4444"

%Code required to start the server
server = modelit.web.server.Server('localhost',4444);
server.addEvaluation('allowedFunctions','simpleMailbox',...
    'username','usr1',...
    'password','pw1')
start(server);
