disp('Startup script for Modelit Embedded Webserver Toolbox (MEWT)')
disp('Run demo_MEWT to launch demo.')

% This startup.m file works if "MEWT_folder" equal to the extraction
% location of the MEWT source files. 
% To integrate with an existing statup.m file, copy/paste next lines in
% your existing statup.m file 

%Set Matlab search path, this will also make sure html help is found with
%Matlab "doc" command.
MEWT_folder=pwd;  %note: edit this line if required

%Verify requires source folders are available
MEWT_subfolders=fullfile(MEWT_folder,["utils","examples","+modelit"]);
for k=1:length(MEWT_subfolders)
    if ~isfolder(MEWT_subfolders(k))
        warning('MEWT requires files in folder %s.',MEWT_subfolders(k))
    end
end

addpath(fullfile(MEWT_folder, 'utils'));
addpath(fullfile(MEWT_folder, 'examples'));
addpath(fullfile(MEWT_folder));

% if MEWT_folder equals pwd than javaclasspath.txt as provided with MEWT
% will set the static java classpath correctly. Otherwise implement your
% own method to set this path in a similar way, use "doc javaclasspath"
% for further information.

%Next lines are provided for debugging and verify that all required jar
%files are found on static java class path 
%Note: Base64 is included in MatlabServer.jar
MEWT_jarfiles=["MatlabHTTPclient.jar","MatlabHTTPserver.jar","MatlabServer.jar"];

jpath=javaclasspath('-static');
for MEWT_jarfile=MEWT_jarfiles 
    %find subset that ends with "thisJar". 
    jpath_items=jpath(endsWith(jpath,MEWT_jarfile));
    %At least 1 line must be found
    if ~any(isfile(jpath_items))
        warning('%s not found on static java class path. Update the file javaclasspath.txt and restart MATLAB.',MEWT_jarfile)
    end
end


