%   Generate a callback for server-side execution of Matlab function.   
%   Counterpart of remoteFunction.   
%   
%  CALL:   
%    remoteCallback(allowedFunctions)   
%   
%  INPUT:   
%    allowedFunctions: <string[]>   
%      List of functions the server is allowed to execute.   
%   
%  OUTPUT:   
%    fp: <function pointer>   
%      Function pointer that can be used as an third argument in call to   
%      modelit.web.server.Server.   
%   
%  EXAMPLE:   
%    Start two Matlab sessions.   
%   
%    Execute in session #1: (start server with the permission to execute "sort")   
%      server = modelit.web.server.Server('localhost', 4444, remoteCallback('sort') ).start;   
%   
%    Execute in session #2: (call remote function from client)   
%      Create and call a remote function. See "help remoteFunction" for   
%      specifying additional parameters like credentials, connection timeout   
%      and and response timnout are acceptable.   
%   
%      fp= remoteFunction('http://localhost:4444',@sort)   
%      [a,b] = fp(10:-1:1 )   
%   
%  See also: remoteFunction, modelit.web.server.Server   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
